/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, { useState, useContext } from 'react';
import TextField from '@material-ui/core/TextField';
import Button from "@material-ui/core/Button";
import SaveIcon from "@material-ui/icons/Save";
import { Store } from '../../../../Store';
import { apiUrl } from '../../../../env';
import axios from 'axios'
import {getAxiosConfig} from '../../../../Components/HelperFunctions/getAxiosConfig'

const InstitutionsInputs = (props) => {

    const { state, dispatch } = useContext(Store);

    const [name, setName] = useState(props.editInfo.name)
    const [adress, setAdress] = useState(props.editInfo.adress)
    const [city, setCity] = useState(props.editInfo.city)
    const [country, setCountry] = useState(props.editInfo.country)
    const api = 'https://api.portalmec.c3sl.ufpr.br/v1/institutions'; //Api

    const SubmitHandler = (e) => {
        e.preventDefault()
        fetch(api + '/' + props.editInfo.id, {
            method: 'PUT',
            headers: {
                'Accept': 'application/json',
                'Content-Type': 'application/json; charset=utf-8',
                'access-token': sessionStorage.getItem('@portalmec/accessToken'),
                'client': sessionStorage.getItem('@portalmec/clientToken'),
                'uid': sessionStorage.getItem('@portalmec/uid'),
                'If-None-Match': null
            },
            body: JSON.stringify({"institution" : {
                'name': name,
                'description': '',
                'address': adress,
                'city': city,
                'country': country,
            }})
        }).then(response => {
            if(response.status === 200) {
                console.log('ok')
            } else{
                console.log('deu ruim')
            }
        })
    }

    console.log(api + '/' + props.editInfo.id);

    return (
        <form style={{ width: '25%', display: 'flex', flexDirection: 'column' }} onSubmit={SubmitHandler}>
            <TextField
                id="outlined-input"
                label="ID *não pode mudar"
                defaultValue={props.editInfo.id} //valor recebido por prop
                variant="outlined"
                disabled={true}
            />
            <div style={{ height: '1em' }} />

            <TextField
                id="outlined-input"
                label="Nome"
                value={name}
                onChange={e => setName(e.target.value)}
                variant="outlined"
            />
            <div style={{ height: '1em' }} />

            <TextField
                id="outlined-input"
                label="Endereço"
                value={adress}
                onChange={e => setAdress(e.target.value)}
                variant="outlined"
            />
            <div style={{ height: '1em' }} />

            <TextField
                id="outlined-input"
                label="Cidade"
                value={city}
                onChange={e => setCity(e.target.value)}
                variant="outlined"
            />
            <div style={{ height: '1em' }} />

            <TextField
                id="outlined-input"
                label="País"
                value={country}
                onChange={e => setCountry(e.target.value)}
                variant="outlined"
            />
            <div style={{ height: '1em' }} />
            <Button size="small" style={{ display: 'flex', justifyContent: 'flex-start', alignItems: 'center' }} type="submit">
                <SaveIcon style={{ fill: "#6959CD" }} />
                Salvar
            </Button>
        </form>
    )
}

export default InstitutionsInputs;
